| Home | Libraries | People | FAQ | More

##### url_view::encoded_user

Return the user.

###### Synopsis

    pct_string_view
    encoded_user() const;

###### Description

If present, this function returns a string representing the user (which may be empty). Otherwise it returns an empty string. The returned string may contain percent escapes.

###### Example

    assert( url_view( "http://jane%2Ddoe:pass@example.com" ).encoded_user() == "jane%2Ddoe" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    userinfo    = user [ ":" [ password ] ]

    user        = *( unreserved / pct-encoded / sub-delims )
    password    = *( unreserved / pct-encoded / sub-delims / ":" )

###### Specification

- 3.2.1. User Information (rfc3986)

###### See Also

`has_password`, `has_userinfo`, `encoded_password`, `encoded_userinfo`, `password`, `user`, `userinfo`.